Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.event
Class DelegatingReadyListenerCollection<T>

    java.lang.Object
      com.maryanovsky.gwtutils.client.event.DelegatingReadyListenerCollection<T>

All Implemented Interfaces:
  ReadyListener<T>, EventListener

    public class DelegatingReadyListenerCollection<T>

extends Object
implements ReadyListener<T>

A ready listener, which simply reports what it sees to a list of other ready listener.

Author:
  Maryanovsky Alexander

Constructor Summary
`DelegatingReadyListenerCollection()` Creates a new `DelegatingReadyListenerCollection`.
`DelegatingReadyListenerCollection(ReadyListener<T> readyListener)` Creates a new `DelegatingReadyListenerCollection` with the specified ready listener as the first of many to report to.

Method Summary
`void` | `add(ReadyListener<T> readyListener)` Adds the specified ready listener to get notified when one of the sources we are registered with changes its ready state.
`void` | `becameReady(T source)` Notifies our ready listeners of the change.
`void` | `becameUnready(T source)` Notifies our ready listeners of the change.
`void` | `remove(ReadyListener<T> readyListener)` Removes the specified ready listener from getting notified when one of the sources with are registered with changes its ready state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingReadyListenerCollection

    public DelegatingReadyListenerCollection()

  Creates a new `DelegatingReadyListenerCollection`.

### DelegatingReadyListenerCollection

    public DelegatingReadyListenerCollection(ReadyListener<T> readyListener)

  Creates a new `DelegatingReadyListenerCollection` with the specified ready listener as the first of many to report to. This constructor is useful if you just have one listener to delegate to.

Method Detail

### add

    public void add(ReadyListener<T> readyListener)

  Adds the specified ready listener to get notified when one of the sources we are registered with changes its ready state.

### remove

    public void remove(ReadyListener<T> readyListener)

  Removes the specified ready listener from getting notified when one of the sources with are registered with changes its ready state.

### becameReady

    public void becameReady(T source)

  Notifies our ready listeners of the change.

  Specified by:
    `becameReady` in interface `ReadyListener<T>`

### becameUnready

    public void becameUnready(T source)

  Notifies our ready listeners of the change.

  Specified by:
    `becameUnready` in interface `ReadyListener<T>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD